Bug 468780 - Inconsistent file ownership under /var/cache/rhn - root vs apache
Inconsistent file ownership under /var/cache/rhn - root vs apache
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
511
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Steve Salevan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 18:51 EDT by Xixi
Modified: 2010-10-23 01:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 11:00:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xixi 2008-10-27 18:51:54 EDT
Description of problem:
Per discussion with Prad, everything under /var/cache/rhn should have ownership apache:apache, unlike the mixture of root and apache we have currently.

Version-Release number of selected component (if applicable):
Multiple, including latest 5.1.1.

How reproducible:
Always.

Steps to Reproduce:
1. ll /var/cache/rhn/
2.
3.
  
Actual results:
[~]# ll /var/cache/rhn/
total 1184
drwxr-xr-x  3 apache apache   4096 Oct 23 12:54 headers
-rw-r--r--  1 apache apache  67747 Oct 23 13:10 list_obsoletes-lvm-arbeitsplatz-5
-rw-r--r--  1 apache apache  49103 Aug 25 21:05 list_obsoletes-rhel-i386-as-4
-rw-r--r--  1 apache apache 511842 Oct 23 13:10 list_packages-lvm-arbeitsplatz-5
-rw-r--r--  1 apache apache 558999 Aug 25 21:05 list_packages-rhel-i386-as-4
drwxr-xr-x  3 root   root     4096 Aug 28 15:59 satsync


Expected results:
[~]# ll /var/cache/rhn/
total 1184
drwxr-xr-x  3 apache apache   4096 Oct 23 12:54 headers
-rw-r--r--  1 apache apache  67747 Oct 23 13:10 list_obsoletes-lvm-arbeitsplatz-5
-rw-r--r--  1 apache apache  49103 Aug 25 21:05 list_obsoletes-rhel-i386-as-4
-rw-r--r--  1 apache apache 511842 Oct 23 13:10 list_packages-lvm-arbeitsplatz-5
-rw-r--r--  1 apache apache 558999 Aug 25 21:05 list_packages-rhel-i386-as-4
drwxr-xr-x  3 apache apache   4096 Aug 28 15:59 satsync


Additional info:

Note You need to log in before you can comment on or make changes to this bug.